// $Author: jmcdanie $
// $Date: 1995-06-12 22:23:59 $
// $Source: /root/cvs/Rigi/rigiedit/adt/chararray.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

// This may look like C code, but it is really -*- C++ -*-

#ifndef CHARARRAYH
#define CHARARRAYH

#ifndef ARRAYOBIDH
#include "array.h"
#endif
#ifndef CHARTYPEH
#include "chartype.h"
#endif

class CharArray;
typedef CharArray* CharArrayPtr;

class CharArray : public Array {
	int	slot;
    public:
   // Routines to initialize and destroy the class.
	CharArray(unsigned int size = CLTN_DEFAULT_CAPACITY);
	CharArray(const CharArray&);
	~CharArray(); 

    // Functions that are Required to Use this Class as an Object

   		// .... all routines the same as in Class Array.......

   // Routines that are required by a Collection class and derived classes
   // of Collections. [See Array Class for these routines.]

   	virtual unsigned int size() const {return slot;}
	   
   		// .... all routines the same as in Class Array.......

   // Routines specific to this class
  	void operator=(const CharArray&);
  	RigiBool operator==(const CharArray&) const;
	void Create(char*);
	void Create(char*,int);
	void Create(int, char*);
	void Add(char*);
	void Add(CharType&);
	void Addob(RigiObject& ob)	
	    {Array::Add(slot++,&ob);}
	void Append(char*);
	char* Concat(char);
	int FindIndex(char*);
	char* Remove() 
	    {return ((CharTypePtr)Array::Remove(--slot))->string();}
	ObjectPtr Pop()
	    {return (Array::Remove(--slot));}
	ObjectPtr Look(int i)
	    {return (Array::At(i));}
	void Empty();
	virtual unsigned int Size() const
	    {return slot;}
	char* Peek();
	char* At(int);
};
	
#endif

// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.2  1994/06/30  17:40:45  bcorrie
//   Fixed up RCS header stuff
//
//

