// $Author: jmcdanie $
// $Date: 1995-06-12 22:06:13 $
// $Source: /root/cvs/Rigi/rigiedit/adt/numarray.C,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

#ifndef NUMARRAYH
#include "numarray.h"
#endif

NumArray::NumArray(unsigned int size) : Array (size) {
	slot = 0;
}

NumArray::NumArray(const NumArray& a) : Array (a.size())
{
	slot = 0;
}
	
NumArray::~NumArray()
{
//	cerr << "Deleting NumArray.\n";
}

void  NumArray::Create(unsigned new_num)
{
//	cerr << "Adding NumType to NumType List.\n";
	NumTypePtr tmp = new NumType(new_num);
 	Array::Add(slot++,(ObjectPtr)tmp);
}

void  NumArray::Add(NumType& new_num) {
//	cerr << "Adding NumType to NumType List.\n";
 	Array::Add(slot++,(ObjectPtr)(&(new_num)));
}

void NumArray::Empty() 
{

	Array::Empty();
	slot = 0;
}

RigiBool NumArray::operator==(const NumArray& a) const {
//	cerr << "NumArray Operator== \n";
	return ((RigiBool)(Array::operator==(*((ArrayPtr)&a))));
}	

void NumArray::operator=(const NumArray& a) {
//	cerr << "NumArray Operator= \n";	
	Array::operator=(*((ArrayPtr)&a));
}

unsigned NumArray::Peek()
{
	int i = slot - 1;
	return (((NumTypePtr)Array::At(i))->Value());
}

unsigned NumArray::At(int i)
{
	return (((NumTypePtr)Array::At(i))->Value());
}






// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.1  1994/06/30  20:09:10  bcorrie
//   Initial revision
//
//
