// $Author: jmartin $
// $Date: 2002-11-10 22:16:58 $
// $Source: /root/cvs/Rigi/rigiedit/adt/object.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

// This may look like C code, but it is really -*- C++ -*-

#ifndef OBJECTH
#define OBJECTH 1

#include <stdio.h>
#ifndef STREAM_H
#include <iostream>
#endif
#ifndef __STRING_H
#include <string.h>
#endif
#ifndef __STDLIB_H
#include <stdlib.h>
#endif
#ifndef _CCHEADER_H_
#include "CCheader.h"
#endif

extern char* indent_line(int);

class RigiObject;
typedef RigiObject* ObjectPtr;

#define Oberr(a) fprintf(stderr,"ERROR :: Generic Object Routine Called :: %s\n","a");

class RigiObject {
    public:
	RigiObject() {/*Oberr(RigiObject)*/;}
	~RigiObject() {/*Oberr(~RigiObject)*/;}  
	
	// Routines that are really described by the Derived Classes
	virtual int Printout(int)  const
	  {Oberr(printout); return (int) 0;}
	virtual unsigned int Hash() const  
	  {Oberr(hash); return (unsigned int) 0; }
	virtual RigiBool isEqual(void* a) const
	  {Oberr(isEqual); a = NIL; 
           (void) abort();
	   return (RigiBool) RigiFalse;}  
	virtual void Delete_class(ObjectPtr) 
	  {Oberr(delete_type);}
	virtual void* Create_class();
	virtual void* Duplicate_class();
	
};

#endif

// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
// Revision 1.3  1995/06/12 22:24:05  jmcdanie
// PC port
//
//   Revision 1.2  1994/06/30  17:41:03  bcorrie
//   Fixed up RCS header stuff
//
//

