// $Author: jmcdanie $
// $Date: 1995-06-12 22:24:07 $
// $Source: /root/cvs/Rigi/rigiedit/adt/tokenlist.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

#ifndef TOKENLISTH
#define TOKENLISTH

#ifndef TOKENTYPEH
#include "tokentype.h"
#endif
#ifndef HASHTBLH
#include "hash.h"
#endif

class TokenList;
typedef TokenList* TokenListPtr;

class TokenList : public HashTbl {
    public:
	TokenList(unsigned int size = CLTN_DEFAULT_CAPACITY);
	~TokenList();

    // Functions that are Required to Use this Class as an Object

   		// .... all routines the same as in Class Array.......

   // Routines that are required by a Collection class and derived classes
   // of Collections. [See Array Class for these routines.]

   		// .... all routines the same as in Class Array.......


   // Routines specific to this class
	void Create(char*,int);
	void Create(char*,int,char*);
	RigiBool Add(TokenType&);
	void Remove(char* name);
	TokenTypePtr Find(TokenType&);
	void operator&(const TokenList&); // intersection
	RigiBool operator==(const TokenList&);
	void operator=(const TokenList&);


};


#endif

// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.2  1994/06/30  17:41:06  bcorrie
//   Fixed up RCS header stuff
//
//

