//
// cl_hashnodelist.h - Definition of a hash list class for Nodes.
//

// $Author: jmcdanie $
// $Date: 1996-08-23 23:25:31 $
// $Source: /root/cvs/Rigi/rigiedit/cl_hashnodelist.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef HASHNODELIST_H
#define HASHNODELIST_H

#ifndef HASHTBLH
#include "adt/hash.h"
#endif
#ifndef GRAPHDEF_H
#include "cl_graphdef.h"
#endif

class GraphNode;

class HashNodeList : public HashTbl
{
    public :

    HashNodeList(unsigned int size);
    HashNodeList();
    ~HashNodeList();

    // Functions that are Required to Use this Class as an RigiObject

            // .... all routines the same as in Class Array.......

    // Routines that are required by a Collection class and derived classes
    // of Collections. [See Array Class for these routines.]

            // .... all routines the same as in Class Array.......

    // Routines specific to this class

    RigiBool Create(GraphNode&);
    RigiBool Add(RigiObject&);
    GraphNode* Find(const NodeId);
    GraphNode* Remove(const NodeId);

    RigiBool operator==(const HashNodeList&);
    void operator=(const HashNodeList&);
    void operator&(const HashNodeList&);
    void operator|(const HashNodeList&);
    void operator-(const HashNodeList&);
};
#endif

