#ifndef SIMPLESET_H
#define SIMPLESET_H

#ifndef AVLSET_H
#include "cl_avlset.h"
#endif

// Set for storing unsigned ints

class SimpleSet : private AvlSet
{
public:

    SimpleSet() {}
    ~SimpleSet() {}

    int Insert( unsigned x ) { return (int)StoreInfo((void*)x,(void*)x); }
    int Remove( unsigned x ) { return (int)RemoveInfo((void*)x,(void*)x); }
    int Find( unsigned x )   { return (int)FindInfo((void*)x); }
    int First()              { return (int)AvlSet::First(); }
    int Empty()              { return AvlSet::Empty(); }
    int Size()               { return AvlSet::Size(); }
};

#endif
