// $Author: jmcdanie $
// $Date: 1996-03-21 02:39:44 $
// $Source: /root/cvs/Rigi/rigiedit/editutil.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef EDITUTIL_H
#define EDITUTIL_H

class GraphNode;
class NodeList;
class ArcList;
class RigiWindow;
class NodeSet;
class NumList;

extern void edit_check_composite( GraphNode* );
extern void edit_get_cliplist( NodeList& );
extern void edit_delete_all( NodeList& );
extern void edit_add_clipnode( NodeList& );
extern void edit_disconnect_node( GraphNode* parent, NodeList& );
extern void edit_paste_nodes( NodeList&, RigiWindow* window );
extern void edit_delete_rigi_nodes( GraphNode* n );
extern void edit_get_comp_arcs( GraphNode*, NodeSet&, ArcList&, ArcList& );

extern void edit_get_ids( NodeList& list, NodeSet& ids );
extern void edit_update_list( NodeList& list, NodeSet& ids );
extern void edit_update_list_to_cut( NodeList& list );
extern void edit_duplicate_nodes( NodeList& list, NodeSet& copynodes,
                                NodeList& duplist );

#endif

