// $Author: jmcdanie $
// $Date: 1996-05-11 23:47:00 $
// $Source: /root/cvs/Rigi/rigiedit/environ.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

// Access functions for the Rigi environment variables
#ifndef ENVIRON_H
#define ENVIRON_H
#ifndef _CC_HEADER_H_
#include "CCheader.h"
#endif

#define ENVFLDPARSECHAR 	'='
#define ENVCOMMENTCHAR		'#'

typedef enum {AllParms, PathsOnly} EnvInitMode;

extern char *EnvGet(char *name, int asRead = 0);
extern void EnvSet(char *name);
extern void EnvSet(char *name, char *value);
extern void EnvPrint();
extern int  EnvWrite(char *fileName);
extern int  EnvRead(char *fileName, EnvInitMode mode);
extern int  EnvInit(int argc, char **argv);
extern RigiBool  EnvReInit();

// Return the directory where views or domain info is held
extern char *EnvDomainDir();

// return code from InitEnvironment
const int   EnvOK = 0;
const int   EnvError = 1;
const int   EnvDefault = 2;

#endif
