//
// global.h - Declarations that everyone has access to.
//

// $Author: jmartin $
// $Date: 2000-02-09 00:18:35 $
// $Source: /root/cvs/Rigi/rigiedit/global.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef GLOBAL_H
#define GLOBAL_H

//#ifdef _MSCVER
//
//#ifndef __STDLIB_H
//#include <stdlib.h>	// for _MAX_PATH, _MAX_FNAME
//#endif
//#define MAXPATHLEN  _MAX_PATH
//#define MAXNAMLEN   _MAX_FNAME
//#else /*_MSC_VER*/
//#ifdef __EMX__
//#include <os2emx.h>
//#endif

#ifndef MAXPATHLEN
#define MAXPATHLEN  1024
#endif
#ifndef MAXNAMLEN
#define MAXNAMLEN    255
#endif

//#endif /*_MSC_VER*/

#define MAXTITLE     132

const int ANY_ARC = (-2);

#define PATHPARSECHAR		'\\'
#define UNIXPATHPARSECHAR	'/'
#define DEVPARSECHAR		':'
#define STRRESSIZE		    (MAXPATHLEN+1)

#define RigiOK			0
#define RigiCancel		-1
#define RigiNo			-2
#define RigiErr 		-2 // do not call it RigiError (already routine)

#ifndef RigiTrue
#define RigiTrue 1
#define RigiFalse 0
typedef int RigiBool;
#endif

// Class declarations

class EditorState;
class RigiWindow;
class RigiColorMap;

extern EditorState *editor;
extern RigiWindow *baseWindow;
extern RigiColorMap*          rigi_colormap;  // Rigi color map

extern int Rigiargc;
extern char **Rigiargv;

typedef char DIRPATH[MAXPATHLEN+1];

#endif
