/* (C) University of Passau 1991 */

#include <std.h>     /* Sgraph includes */
#include <sgraph.h>
#include <slist.h>

#include "def.h"


print_graph_attributes (file, g)
FILE	*file;
Sgraph	g;
{
}

print_node_attributes(file, n)
FILE *file;
Snode n;
{
	fprintf (file, "{$ %d %d $}", n->x, n->y);
}


print_edge_attributes(file, e)
FILE	*file;
Sedge	e;
{
        int *pos;
	int i;

	fprintf (file, "{$ EL ");
/*SRT	pos = (attr_data_of_type(e,int *));*/
	pos = (int *)e->attrs.data;
	for (i=0; pos[i] != 0; i += 2)
	  fprintf (file, "%d %d ", pos[i], pos[i+1]);
	fprintf (file, " $}");
}


void write_graph(graph)
Sgraph graph;

{
  Snode node;
  Slist list,l;

#define ENDPOINT(node,edge) ((node) == (edge)-> tnode ? (edge)-> snode : (edge)-> tnode)

  printf("ordered adjacency lists:\n");
  for_all_nodes(graph,node)
    {
      printf("node <%s> (%d,%d) : edges to", node->label, node->x, node->y);
    }
  end_for_all_nodes(graph,node)
}


/* ====================================================================== */

main ()
{
	Sgraph	g;

	g = load_graph(); /* Load a graph in GraphEd format */

	if (g != empty_graph) sugiyama_layout (g, 100, 100);

	print_graph (stdout, g,  print_graph_attributes,
                                      print_node_attributes,
                                      print_edge_attributes);

	exit(0);
}
