
// $Author: jmcdanie $
// $Date: 1996-05-20 18:21:00 $
// $Source: /root/cvs/Rigi/rigiedit/rigiutil.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef RIGIUTIL_H
#define RIGIUTIL_H
#ifndef __STDIO_H
#include <stdio.h>
#endif
#ifndef RIGIDEF_H
#include "cl_rigidef.h"		// for RigiWinType
#endif
#ifndef _CCHEADER_H_
#include "CCheader.h"		// for RigiBool class
#endif

class RigiWindow;
class RigiNodeList;

// Access functions for the state of the currently active RigiWindow

extern RigiWindow *RutilActiveWindow();
extern void RutilSetActiveWindow(RigiWindow *rw);
extern void RutilRaiseWindow(RigiWindow *rw);

// Return a textual representation of the given window type.

extern char* RutilWinTypeName(RigiWinType);

// window configuration parameters
extern void RutilGetRootLocation( int &x, int &y);
extern void RutilGetDefFrameSize( int &w, int &h);
extern void RutilGetDefWindowSize( int &w, int &h);
extern void RutilGetMaxCanvasSize( int &w, int &h);

// FILE IO routines 

extern int RutilFscanl( FILE *fp, char *buff, int size );
extern int RutilFscans( FILE *fp, char *buff, int size );

#endif

