
// $Author: jmcdanie $
// $Date: 1995-06-23 15:57:28 $
// $Source: /root/cvs/Rigi/rigiedit/selectops.h,v $
// $Locker:  $
// $State: Exp $

// const static char rcsid[] = "$Id: selectops.h,v 1.12 1995-06-23 15:57:28 jmcdanie Exp $";

//------------------------------------------------------------------------


#ifndef SELECTOPS_H
#define SELECTOPS_H

// Selection operations
const int SELECTALL	= 0 ;
const int SELECTINVERT	= 1 ;
const int SELECTDST	= 2 ;
const int SELECTSRC	= 3 ;
const int SELECTREC	= 4;   
const int SELECTTREE	= 5;
const int SELECTRTREE	= 6;
const int STRONGCONNECT	= 7 ;
const int STRONGCOMPONENT = 8 ;
const int WEAKCONNECT	= 9 ;
const int ALLCOMMONCS	= 10 ;
const int COMMONCLIENT	= 11 ;
const int COMMONSUPPLIER = 12 ;
const int DESELECT	= 13 ;
const int FIRSTSELECTEDNODE = 14;
const int NEXTSELECTEDNODE = 15;
const int NUMSELECTEDNODES = 16;
const int SELECTEDARC	= 17;
const int SELECTID	= 18;
const int DESELECTID	= 19;
const int SELECTTYPE	= 20;


// SCRIPTRETURN, returned value depends on the operation invoked

extern int SelectOp( int op, int select_keep, char *id_or_type );

#endif

