// $Author: jmcdanie $
// $Date: 1996-04-23 22:30:55 $
// $Source: /root/cvs/Rigi/rigiedit/specialops.C,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

#include <stdarg.h>	// for varargs stuff

#ifndef RIGIWINDOW_H
#include "cl_rigiwindow.h"
#endif
#ifndef RIGIUTIL_H
#include "rigiutil.h"
#endif
#ifndef RIGIERR_H
#include "rigierr.h"
#endif

#ifndef SPECIALOPS_H
#include "specialops.h"
#endif


void SpecialOp( int op ... ) {
    va_list ap;
    Point src, dst;
    int colour, width;

    RigiWindow* activewin = RutilActiveWindow();
    if (activewin==NULL) return;

    va_start( ap, op );
    switch (op)
        {
        case DRAWLINE:
            src.x = va_arg( ap, int );
            src.y = va_arg( ap, int );
            dst.x = va_arg( ap, int );
            dst.y = va_arg( ap, int );
            colour = va_arg( ap, int );
            activewin->DrawLine( src,dst,0,colour );
            break;
        case DRAWPOINT:
            src.x = va_arg( ap, int ) - 1;
            src.y = va_arg( ap, int ) - 1;
            colour = va_arg( ap, int );
            width = va_arg( ap, int );
            activewin->DrawSquare( src, -width, 2, colour );
            break;
        default:
            RigiError(ERRORFLAG, "Invalid operation (%d)", op);
        }
    va_end(ap);
}

