//
//

// $Author: mwhitney $
// $Date: 1995-12-05 20:29:45 $
// $Source: /root/cvs/Rigi/rigiedit/win_archierarchy.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef ARCHIERARCHY_H
#define ARCHIERARCHY_H

#ifndef GRAPHDEF_H
#include "cl_graphdef.h"
#endif

class RigiWindow;
class RigiNode;

extern void WindowArcHierarchy(ArcType, ArcDirection, RigiWindow*,
                               RigiNode*, int, int, int, double angle = 0.0);

#endif

//-------------------------RCS--------------------------------------------
// 
// $Log: not supported by cvs2svn $
//   Revision 1.7  1995/06/17  05:15:56  kenw
//   Names restored.
//
//   Revision 1.6  1995/01/16  19:14:32  bcorrie
//   Removed the code that dealt with the old arc hierarchy window.
//   That functionality is no longer supported, it can be duplicated in
//   the normal RigiWindows now.
//
//   Revision 1.5  1994/11/21  22:12:49  bcorrie
//   Changed the forward and reverse tree layout algorithms so that they
//   take an arbitrary rotation angle. Thus we can now have tree layouts
//   that are arbitrarily rotated (eg. sideways trees etc.)
//
//   Revision 1.4  1994/08/04  19:04:13  bcorrie
//   Changed arcs so they have no subtype, only a type. Made appropriate changes
//
//   Revision 1.3  1993/05/10  17:42:24  mstorey
//   B19 - May 6th - see ~mstorey/logstuff/log_may
//
//   Revision 1.2  1992/11/18  13:28:24  stilley
//   removed static char rcsid[] from all .h files.
//
//   Revision 1.1  1992/11/18  13:09:17  stilley
//   Initial revision
//
//
