// $Author: jmcdanie $
// $Date: 1995-06-12 22:23:57 $
// $Source: /root/cvs/Rigi/rigiedit/adt/bitarray.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

// This may look like C code, but it is really -*- C++ -*-

#ifndef BITARRAY_H
#define BITARRAY_H


#ifndef OBJECTH
#include "object.h"
#endif
const unsigned int BIT_DEFAULT_CAPACITY = 8;


class BitArray : public RigiObject {
	int 	id;
	char*	ptr;
	int	size;

    public:
   // Routines to initialize and destroy the class.
	BitArray(unsigned int sze = BIT_DEFAULT_CAPACITY);
	BitArray(const BitArray&);
	~BitArray(); 

	   
   // Routines specific to this class

   	int FindEmptyBit();
	void ClearBit(int);
   	unsigned int Size() const 
	  {return size;}

  	void operator=(const BitArray&);
  	RigiBool operator==(const BitArray&) const;

   // Routines that are required by a Object class and derived classes of 
   // Objects
	virtual int Printout(int) const;
	virtual unsigned int Hash() const;                 
	virtual RigiBool isEqual(void* a) const;
	virtual void* Duplicate() 
	  { return NIL; }
	virtual void* Create() 
	  { return NIL; }
	virtual void  Delete_type(ObjectPtr) 
	  { }
	
};
	
#endif

// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.2  1994/06/30  17:40:44  bcorrie
//   Fixed up RCS header stuff
//
//

