// $Author: jmcdanie $
// $Date: 1995-06-12 22:24:00 $
// $Source: /root/cvs/Rigi/rigiedit/adt/charlist.h,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

#ifndef CHARLISTH
#define CHARLISTH

#ifndef CHARTYPEH
#include "chartype.h"
#endif
#ifndef HASHTBLH
#include "hash.h"
#endif

class CharList;
typedef CharList* CharListPtr;

class CharList : public HashTbl {
    public:
   // Routines to initialize and destroy the class.
	CharList(unsigned int size = CLTN_DEFAULT_CAPACITY);
	~CharList(); 

    // Functions that are Required to Use this Class as an Object

   		// .... all routines the same as in Class Array.......

   // Routines that are required by a Collection class and derived classes
   // of Collections. [See Array Class for these routines.]

   		// .... all routines the same as in Class Array.......

   // Routines specific to this class
	CharTypePtr Create(char*);
	RigiBool Add(CharTypePtr);
	RigiBool Add(CharType&);
   	RigiBool Includes(char*);
	char* Remove(char*);
    	char* Remove(CharTypePtr);
   	CharType* Find(char*);
  	void operator=(const CharList&);
  	RigiBool operator==(const CharList&) const;
        void operator&(const CharList&);
        void operator|(const CharList&);
        void operator-(const CharList&);
	
};
	
#endif

// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.2  1994/06/30  17:40:50  bcorrie
//   Fixed up RCS header stuff
//
//

