// $Author: jmcdanie $
// $Date: 1995-06-12 22:06:15 $
// $Source: /root/cvs/Rigi/rigiedit/adt/stack.C,v $
// $Locker:  $
// $State: Exp $
//
// ------------------------------------------------------------------------

#ifndef STACKH
#include "stack.h"
#endif
Stack::Stack(unsigned int size) : Array (size)
{
	top = -1;
}

Stack::Stack(const Stack& a) : Array (a.Size())
{
	top = -1;
}



// Routines that a local to Stacks.

void  Stack::operator=(const Stack& a)
{
//	cerr << "Setting this Stack equal to another Stack \n";
 	(*(ArrayPtr)this) = (*(ArrayPtr)&a);
	top = a.top;
}	

RigiBool Stack::operator==(const Stack& a) const
{
	if(a.top == top)
		return ((RigiBool)((*((ArrayPtr)this)) == (*((ArrayPtr)&a))));
	else
		return RigiFalse;
}

ObjectPtr Stack::Pop()
{
	if(top > -1)
		return(Array::operator[](top--));
	else
		return NULL; 
} 

ObjectPtr Stack::Peek()
{
	if(top > -1) 
		return(Array::operator[](top));
	else
		return NULL;
}







// ------------------------------------------------------------------------
//
// $Log: not supported by cvs2svn $
//   Revision 1.1  1994/06/30  20:09:13  bcorrie
//   Initial revision
//
//

