//
// File:    rigidef.h
// Author:    Brian Corrie
// Date:    January 16, 1991
// Project:    Rigi V4.0
//

// $Author: jmcdanie $
// $Date: 1996-05-21 18:05:44 $
// $Source: /root/cvs/Rigi/rigiedit/cl_rigidef.h,v $
// $Locker:  $
// $State: Exp $

//------------------------------------------------------------------------

#ifndef RIGIDEF_H
#define RIGIDEF_H

class RigiArc;
class RigiArcList;
class RigiNode;
class RigiNodeList;
class RigiWindow;
class RigiWindowList;

// Constant to define an infinite depth projection.

extern const int DEPTH_INFINITE;

// Constant for window types

typedef enum
{
    WIN_OVERVIEW,  WIN_SCRATCH, WIN_PROJECT, WIN_GENERAL
} RigiWinType;

#endif

