//------------------------------------------------------------------------

#ifndef EVENT_H
#define EVENT_H

#ifndef _CCHEADER_H_
#include "CCheader.h"       // for RigiBool
#endif
#ifndef GRAPHDEF_H
#include "cl_graphdef.h"    // for Point
#endif

class GraphNode;
class RigiWindow;

extern int   EventShiftDown();
extern RigiBool EventGetSelectBox( Point&,Point& );

extern void  EventUpdateNodeLabel(GraphNode*,char* );
extern void  EventUpdateNodeType(GraphNode*,int );
extern void  EventDestroy(RigiWindow* );
extern void  EventExpose(RigiWindow*, Point, int w, int h );
extern void  EventReleaseSelect(RigiWindow*, Point);
extern void  EventPressSelect(RigiWindow*, Point);
extern void  EventDragSelect(RigiWindow*, Point);
extern void  EventReleaseAdjust(RigiWindow*, Point);
extern void  EventPressAdjust(RigiWindow*, Point);
extern void  EventDragAdjust(RigiWindow*, Point);
extern void  EventXScroll(RigiWindow* activewin, int loc);
extern void  EventYScroll(RigiWindow* activewin, int loc);

#endif
