//
// quit.c: Exit rigiedit, cleanup, etc. [SRT 19Sep93]
//

// $Author: jmartin $
// $Date: 2000-02-09 00:18:36 $
// $Source: /root/cvs/Rigi/rigiedit/quit.C,v $
// $Locker:  $
// $State: Exp $

const static char rcsid[] = "$Id: quit.C,v 1.23 2000-02-09 00:18:36 jmartin Exp $";

//------------------------------------------------------------------------

// To do:
//	- add check for animate y/n

#ifndef __STDLIB_H
#include <stdlib.h>
#endif

#ifndef GLOBAL_H
#include "global.h"
#endif
#ifndef RIGISTATE_H
#include "cl_rigistate.h"               // Global instance of editor's state
#endif

#ifndef RIGI_H
#include "rigi.h"
#endif
#ifndef RIGIERR_H
#include "rigierr.h"
#endif
#ifndef GRAPHNODE_H
#include "cl_graphnode.h"
#endif
#ifndef EVENT_H
#include "event.h"
#endif

#ifndef RCL_COMMANDS_H
#include "rcl_commands.h"
#endif
#ifndef _MSC_VER
#ifndef MEMCHK_H
#include "memchk.h"
#endif
#endif
#ifndef QUIT_H
#include "quit.h"
#endif

void quit( int verify )
{
#ifdef MEMCHK_H
    Mess("%d bytes allocated, %d new ops, %d delete ops, diff=%d",
        MemoryUse(),MemoryNew(),MemoryDelete(),MemoryNew()-MemoryDelete() );
#endif

    if (verify) {
        if (!RigiError(ALERT, "Really quit?" )) return;

    }

    // Delete all windows
    editor->CloseBaseWindow();
    Tcl_DeleteInterp( rcl_interp );

#ifdef MEMCHK_H
    Mess("%d bytes allocated, %d new ops, %d delete ops, diff=%d",
        MemoryUse(),MemoryNew(),MemoryDelete(),MemoryNew()-MemoryDelete() );
#endif

    Mess("exiting");
    exit(0);
}

